Bug 90320 - (NET E1000) e1000_4412k driver stack usage
(NET E1000) e1000_4412k driver stack usage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
: 91276 (view as bug list)
Depends On: 107552
Blocks: 122949
  Show dependency treegraph
 
Reported: 2003-05-06 15:57 EDT by Larry Troan
Modified: 2016-04-18 05:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 14:24:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2003-05-06 15:57:55 EDT
The network drivers are allocating large structures on the kernel stack.  When
several do this, and they get called in series, it can cause stack overflow. 
These structs should be allocated via kmalloc/kfree.
                                                                               
                                                                              
In the 2.4.9-e.18 kernel:
                                                                               
                                                                            
e1000_check_copper_options() uses 0x1d0 bytes.
e1000_ethtool_ioctl() uses 0x3f0 bytes.
e1000_check_options() uses 0x13c bytes.
e1000_ethtool_seeprom() uses 0x204 bytes.


----------
Action by: mdomsch
Issue Registered
----------
Action by: mdomsch


Status set to: Waiting on Tech

ISSUE TRACKER 21177 opened as sev 2 for QU3.
Comment 1 Jeff Garzik 2003-07-08 13:34:02 EDT
Would it be ok to all parties involved, if I made this bug public?  I would like
Intel to be able to view it as well.  And since it's in issue present in
upstream, I believe this bug need not be private.
Comment 2 Larry Troan 2003-07-08 17:46:21 EDT
FROM ISSUE TRACKER
Event posted 07-08-2003 01:40pm by ltroan with duration of 0.20
Will get a reading from Dell this afternoon about opening this bug up for Public
Viewing

-------------------
I TALKED WITH DELL AND THEY AGREED TO OPEN THIS BUG UP FOR PUBLIC VIEWING.
Comment 3 Larry Troan 2003-07-08 17:56:52 EDT
See also Bugzilla 91276 "e1000 driver stack usage"
Comment 4 Suzanne Hillman 2003-10-06 11:14:03 EDT
identified by Dell Engineering with a RHEL2.1 Update3 target. Added to U3
blocker list.
Comment 10 Jeff Garzik 2004-03-03 01:03:14 EST
When e1000 uses ethtool_ops, this issue should go away.
Comment 11 Jeff Garzik 2004-03-03 01:04:19 EST
*** Bug 91276 has been marked as a duplicate of this bug. ***
Comment 12 Scott Feldman 2004-03-03 22:56:21 EST
Yes, I believe e1000_ethtool_ioctl() is the last offender.  The 
other's have ben addressed.
Comment 13 Frank Hirtz 2004-04-13 11:10:31 EDT
What sort of timeline do we have on implementing and releasing a
driver with this change?

Note You need to log in before you can comment on or make changes to this bug.